/**
 * @author 有知 <youzhi.lk@antfin.com>
 * @since 2019-02-25
 */
var firstGlobalProp, secondGlobalProp, lastGlobalProp;
export function getGlobalProp() {
  var cnt = 0;
  var lastProp;

  for (var p in global) {
    if (!global.hasOwnProperty(p)) continue;
    if (cnt === 0 && p !== firstGlobalProp || cnt === 1 && p !== secondGlobalProp) return p;
    cnt++;
    lastProp = p;
  }

  if (lastProp !== lastGlobalProp) return lastProp;
}
export function noteGlobalProps() {
  // alternatively Object.keys(global).pop()
  // but this may be faster (pending benchmarks)
  firstGlobalProp = secondGlobalProp = undefined;

  for (var p in global) {
    if (!global.hasOwnProperty(p)) continue;
    if (!firstGlobalProp) firstGlobalProp = p;else if (!secondGlobalProp) secondGlobalProp = p;
    lastGlobalProp = p;
  }

  return lastGlobalProp;
}